// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Absolute value of DD numbers
//
// Check the sign of the elements of DD numbers using 'find'
//
// Calling Sequence :
// abs(a)
//
// Arguments :
// a : DD matrix
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function b = %dd_abs(a)
  b = a;
  c = find(sign(b.hi)==-1);
  b.hi(c) = (-1)*b.hi(c);
  b.lo(c) = (-1)*b.lo(c);
endfunction

