// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Extraction DD numbers
//
// Calling Sequence :
// A(i,j)
//
// Arguments :
// A : DD numbers
// i,j : integer (sequences)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function a = %dd_e(i,j,A)
  a = tlist(['dd','hi','lo'],A.hi(i,j),A.lo(i,j));
endfunction

