// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Absolute value of DD numbers
//
// Check the sign of the elements of DD numbers using 'find'
//
// Calling Sequence :
// abs(a)
//
// Arguments :
// a : DD matrix
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/06/02
// *****************************************************************
function b = %qd_abs(a)
  b = a;
  c = find(sign(b.d)==-1);
  b(2)(c) = (-1)*b(2)(c);
  b(3)(c) = (-1)*b(3)(c);
  b(4)(c) = (-1)*b(4)(c);
  b(5)(c) = (-1)*b(5)(c);
endfunction

