// ====================================================================
// Copyright (C) 2011 - Satoko Kikkawa
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Identity matrix
//
// Calling Sequence :
// eye(a)
//
// Arguments :
// a : QD matrix
//
// Authors :
// Copyright (C) 2011 - Satoko Kikkawa
// last updating : 2011/07/26
// *****************************************************************
function c = %qd_eye(a)
  [m,n]=size(a.d)
  c = tlist(['qd','d'],eye(m,n),zeros(m,n),zeros(m,n),zeros(m,n))
endfunction

