// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD division (double / dd)
//
// Calling Sequence :
// a / b
//
// a(i,j) (in Scilab) = a[m*j+i] (in C++)
// make dll file with Visual C++2010
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/04/20 
// *****************************************************************
function c = %s_r_dd(a,b)
  [m1,n1] = size(a);
  [m2,n2] = size(b.hi);
  if (m2 == 1 & n2 == 1) then
    [sh,sl] = call('s_r_dd',a,3,'d',b.hi,4,'d',b.lo,5,'d',m1,6,'i',n1,7,'i','out',[m1,n1],1,'d',[m1,n1],2,'d');
    c = tlist(['dd','hi','lo'],sh,sl);
  else
    disp('Error:argument size is not 1 by 1.');
    c = 0.0;
  end
endfunction
