// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Frobenius norm of DD matrix
//
// Calling Sequence :
// ddnormF(A)
//
// Arguments :
// A : DD matrix
//
// make dll file with Visual C++2010 (ddsum)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function z = ddnormF(A)
  [m,n] = size(A.hi);
  X = A;
  c = find(sign(X.hi)==-1);
      X.hi(c) = (-1)*X.hi(c);
      X.lo(c) = (-1)*X.lo(c);
      z = call('ddsum',X.hi,2,'d',X.lo,3,'d',m,4,'i',n,5,'i','out',[2,1],1,'d');
      z = tlist(['dd','hi','lo'],z(1),z(2));
endfunction

