// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Inverse matrix of QD matrix
//
// Calling Sequence :
// qdinv(A)
//
// Arguments :
// A : QD matrix
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/12/01
// *****************************************************************
function X = qdinv(A)
  [m,n]=size(A(2));
  [c1,c2,c3,c4] = call('qdinv',A(2),5,'d',A(3),6,'d',A(4),7,'d',A(5),8,'d',zeros(n,1),9,'d',zeros(n,1),10,'d',zeros(n,1),11,'d',zeros(n,1),12,'d',n,13,'i','out',[m,n],1,'d',[m,n],2,'d',[m,n],3,'d',[m,n],4,'d');
  X = tlist(['qd','d'],c1,c2,c3,c4);
endfunction
