// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Frobenius norm of QD matrix
//
// Calling Sequence :
// qdnormF(A)
//
// Arguments :
// A : QD matrix
//
// make dll file with Visual C++2010 (qdsum)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function z = qdnormF(A)
  [m,n] = size(A.d);
  X = A;
  c = find(sign(X.hi)==-1);
      X(2)(c) = (-1)*X(2)(c);
      X(3)(c) = (-1)*X(3)(c);
      X(4)(c) = (-1)*X(4)(c);
      X(5)(c) = (-1)*X(5)(c);
       z = call('qdsum',X(2),2,'d',X(3),3,'d',X(4),4,'d',X(5),5,'d',m,6,'i',n,7,'i','out',[4,1],1,'d');
       z = tlist(['qd','d'],z(1),z(2),z(3),z(4));
endfunction

