// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Circular constant (Pi) of QD
//
// Calling Sequence :
// ddpi()
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/12/01
// *****************************************************************
function p = qdpi()
    p = tlist(['qd','d'],3.141592653589793116e+00,1.224646799147353207e-16,-2.994769809718339666e-33,1.112454220863365282e-49);
endfunction
