// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// (Quasi) Pseudorandom QD number generator
//
// Calling Sequence :
// qdrand(m,n)
//
// Arguments :
// m,n : integers
//
// make dll file with Visual C++2010 (renorm)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function A = qdrand(m,n)
  a1 = rand(m,n);
  a2 = rand(m,n)*1d-15;
  a3 = rand(m,n)*1d-30;
  a4 = rand(m,n)*1d-45;
  a5 = rand(m,n)*1d-60;
  [b1,b2,b3,b4] = call('renorm',a1,5,'d',a2,6,'d',a3,7,'d',a4,8,'d',a5,9,'d',m,10,'i',n,11,'i','out',[m,n],1,'d',[m,n],2,'d',[m,n],3,'d',[m,n],4,'d');
  A= tlist(['qd','d'],b1,b2,b3,b4);
endfunction


