// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD subtraction (dd - qd)
//
// Calling Sequence :
// a - b
//
// a(i,j) (in Scilab) = a[m*j+i] (in C++)
// Subtraction a-b is implemented as the addition a+(-b)
// make dll file with Visual C++2010
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/06/02
// *****************************************************************
function c = %dd_s_qd(a,b)
    [m,n] = size(a.hi);
    [c1,c2,c3,c4] = call('dd_s_qd',a.hi,5,'d',a.lo,6,'d',b(2),7,'d',b(3),8,'d',b(4),9,'d',b(5),10,'d',m,11,'i',n,12,'i','out',[m,n],1,'d',[m,n],2,'d',[m,n],3,'d',[m,n],4,'d');
    c = tlist(['qd','d'],c1,c2,c3,c4);
endfunction

