// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Extraction QD numbers
//
// Calling Sequence :
// A(i,j)
//
// Arguments :
// A : QD numbers
// i,j : integer (sequences)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function a = %qd_e(i,j,A)
  a = tlist(['qd','d'],A(2)(i,j),A(3)(i,j),A(4)(i,j),A(5)(i,j));
endfunction

