// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Matrix made of ones
//
// Calling Sequence :
// ones(a)
//
// Arguments :
// a : QD matrix
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/09/12
// *****************************************************************
function c = %qd_ones(a)
  [m,n]=size(a.d)
  c = tlist(['qd','d'],ones(m,n),zeros(m,n),zeros(m,n),zeros(m,n))
endfunction

