// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD division (qd / qd)
//
// Calling Sequence :
// a / b
//
// a(i,j) (in Scilab) = a[m*j+i] (in C++)
// make dll file with Visual C++2010
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/05/24 
// *****************************************************************
function c = %qd_r_qd(a,b)
  [m1,n1] = size(a.d);
  [m2,n2] = size(b.d);
  if (m2 == 1 & n2 == 1) then
    [c1,c2,c3,c4] = call('qd_r_qd',a(2),5,'d',a(3),6,'d',a(4),7,'d',a(5),8,'d',b(2),9,'d',b(3),10,'d',b(4),11,'d',b(5),12,'d',m1,13,'i',n1,14,'i','out',[m1,n1],1,'d',[m1,n1],2,'d',[m1,n1],3,'d',[m1,n1],4,'d');
    c = tlist(['qd','d'],c1,c2,c3,c4);
  else
    disp('Error:size b is not 1 by 1.');
    c = 0.0;
  end
endfunction

