// ====================================================================
// Copyright (C) 2011 - Satoko Kikkawa
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Zero matrix with QD numbers
//
// Calling Sequence :
// zeros(a)
//
// Arguments :
// a : QD matrix
//
// Authors :
// Copyright (C) 2011 - Satoko Kikkawa
// last updating : 
// *****************************************************************
function c = %qd_zeros(a)
  [m,n]=size(a.d)
  c = tlist(['qd','d'],zeros(m,n),zeros(m,n),zeros(m,n),zeros(m,n))
endfunction

