// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD addition (double + dd)
//
// Calling Sequence :
// a + b
//
// a(i,j) (in Scilab) = a[m*j+i] (in C++)
// make dll file with Visual C++2010
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/04/20 
// *****************************************************************
function c = %s_a_dd(a,b)
    [m,n]=size(a);
    [sh,sl] = call('s_a_dd',a,3,'d',b.hi,4,'d',b.lo,5,'d',m,6,'i',n,7,'i','out',[m,n],1,'d',[m,n],2,'d');
    c = tlist(['dd','hi','lo'],sh,sl);
endfunction

