// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito / Satoko Kikkawa
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD addition (double + qd)
//
// Calling Sequence :
// a + b
//
// a(i,j) (in Scilab) = a[m*j+i] (in C++)
// make dll file with Visual C++2010
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito / Satoko Kikkawa
// last updating : 2011/07/27 
// *****************************************************************
function c = %s_a_qd(a,b)
  [m,n] = size(a); //modified@size(b) -> size(a)
  [c1,c2,c3,c4] = call('s_a_qd',a,5,'d',b(2),6,'d',b(3),7,'d',b(4),8,'d',b(5),9,'d',m,10,'i',n,11,'i','out',[m,n],1,'d',[m,n],2,'d',[m,n],3,'d',[m,n],4,'d');
  c = tlist(['qd','d'],c1,c2,c3,c4);
endfunction

