// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Type Conversion from double to QD
//
// Calling Sequence :
// d2qd(A)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function B = d2qd(A)
  [m,n] = size(A);
  O = zeros(m,n);
  B = tlist(['qd','d'],A,O,O,O);
endfunction

