// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Type Conversion from DD to QD
//
// Calling Sequence :
// dd2qd(a)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function b = dd2qd(a)
  [m,n] = size(a.hi);
  b = tlist(['qd','d'],a.hi,a.lo,zeros(m,n),zeros(m,n));
endfunction

