// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Inverse matrix of DD matrix
//
// Calling Sequence :
// ddinv(A)
//
// Arguments :
// A : DD matrix
//
// make dll file with Visual C++2010 (ddinv)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function X = ddinv(A)
  [m,n]=size(A.hi);
  a = zeros(n,1);b = zeros(n,1);
  [c,cc] = call('ddinv',A.hi,3,'d',A.lo,4,'d',a,5,'d',b,6,'d',n,7,'i','out',[m,n],1,'d',[m,n],2,'d');
  X = tlist(['dd','hi','lo'],c,cc);
endfunction

