// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Linker for DD arithmetic
//
// Authors : Tsubasa Saito
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/11/01
// *****************************************************************
mode(-1)
mainpath = get_absolute_file_path('ddlink.sci');
chdir(mainpath);

linkmatrix = ['dd_a_dd';'dd_a_s';'s_a_dd';...
'dd_s_dd';'dd_s_s';'s_s_dd';...
'dd_m_dd';'dd_m_s';'s_m_dd';...
'scalar_multi';'mix_scalar_multi_1';'mix_scalar_multi_2';...
'dd_r_dd';'dd_r_s';'s_r_dd'];

ilib_for_link(linkmatrix,'dd.c',[],"c");
// load the shared library 
exec loader.sce;

linkmatrix = ['ddgauss';'ddlu';'ddinv';...
'ddip';'ddnorm_two';'ddsum'];

ilib_for_link(linkmatrix,'dd_nc.c',[],"c");
// load the shared library 
exec loader.sce;

linkmatrix = ['ddsqrt';'ddsin';'ddcos';'ddtan';'ddexp'];

ilib_for_link(linkmatrix,'dd_ef.c',[],"c");
// load the shared library 
exec loader.sce;

clear mainpath;
clear linkmatrix;
