// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// (Quasi) Pseudorandom DD number generator
//
// Calling Sequence :
// ddrand(m,n)
//
// Arguments :
// m,n : integers
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function A = ddrand(m,n)
  a = rand(m,n);
  b = rand(m,n)*1.0D-10;
  s = a + b;
  b = b - (s - a);
  A = tlist(['dd','hi','lo'],s,b);
endfunction

