// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Get the highest part of dd,qd number a
//
// Calling Sequence :
// getHi(a)
//
// Arguments :
// a : dd or qd number
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function hi = getHi(a)
  if(a(1)(1) ==  'qd') then
    hi = a(2);
  elseif(a(1)(1) ==  'dd') then
    hi = a.hi;
  else
    error(44,1) //Wrong first argument.
    abort;
  end
endfunction

