// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Inner product of QD vectors
//
// Calling Sequence :
// qdip(x,y)
//
// Arguments :
// x,y : QD vectors
//
// make dll file with Visual C++2010
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/05/31
// *****************************************************************
function z = qdip(x,y)
  // inner product
  // last updating:
  // make dll file with vc++2010
  [m1,n1] = size(x.d);
  [m2,n2] = size(y.d);
  if n1 ~= 1 | n2 ~=1 | m1 ~= m2 then
    disp('Error in  qdip!');
    z = tlist(['qd','d'],0,0,0,0);
  else
    c = call('qdip',x(2),2,'d',x(3),3,'d',x(4),4,'d',x(5),5,'d',y(2),6,'d',y(3),7,'d',y(4),8,'d',y(5),9,'d',m1,10,'i','out',[4,1],1,'d');
    z = tlist(['qd','d'],c(1),c(2),c(3),c(4));
  end
endfunction

