// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Zero matrix with QD
//
// Calling Sequence :
// qdzeros(m,n)
//
// Arguments :
// m,n : integers
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/06/02
// *****************************************************************
function A = qdzeros(m,n)
  O = zeros(m,n);
  A = tlist(['qd','d'],O,O,O,O);
endfunction
